Package org.apache.felix.framework.resolver

# Class CandidateComparator

java.lang.Object
org.apache.felix.framework.resolver.CandidateComparator

All Implemented Interfaces:
  `Comparator<BundleCapability>`

public class CandidateComparator extends Object implements Comparator<BundleCapability>

## Constructor Summary

Constructors
Constructor
Description
`CandidateComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(BundleCapability cap1, BundleCapability cap2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### CandidateComparator

public CandidateComparator()

## Method Details

### compare

public int compare(BundleCapability cap1, BundleCapability cap2)

Specified by:
  `compare` in interface `Comparator<BundleCapability>`